#
# spec file for package perl-Sub-Quote
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Quote
Version:        2.004000
Release:        lp151.2.1
%define cpan_name Sub-Quote
Summary:        Efficient generation of subroutines via string eval
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Quote/
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.94
Recommends:     perl(Sub::Name) >= 0.08
%{perl_requires}

%description
This package provides performant ways to generate subroutines from strings.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Jun  9 2017 coolo@suse.com
- updated to 2.004000
  see /usr/share/doc/packages/perl-Sub-Quote/Changes
  2.004000 - 2017-06-07
  - more extensive quotify tests
  - split tests into separate files
  - propagate package to deferred subs, even if unnamed
  - reject invalid attributes
  - include line numbers compile errors (PR#1, djerius)
* Wed Jan 11 2017 coolo@suse.com
- initial package 2.003001
  * created by cpanspec 1.78.08
